doc/classes.doc    1.5  warwick  +3 -3

  4 columns, not 3.


doc/headers.doc    1.5  warwick  +4 -2

  Multicolumns.


doc/moc.doc    2.11  eiriken  +11 -4

  Corrected nested classes bug


examples/application/application.cpp    1.4  agulbra  +2 -3

  updated for new qtoolbar api


examples/scrollview/scrollview.cpp    1.11  warwick  +25 -9

  Use older style.


extensions/opengl/examples/sharedbox/GNUmakefile    1.1  hanord  initial checkin
extensions/opengl/examples/sharedbox/Makefile    1.2  hanord  +6 -90

  new makefiles


extensions/opengl/examples/sharedbox/sharedbox.pro    1.2  hanord  +1 -1

  Added "opengl" to CONFIG


src/dialogs/qfiledlg.cpp    2.56  paul  +3 -3

  make it compile on windows


src/dialogs/qfiledlg.cpp    2.57  warwick  +6 -5

  Implement "initial selection" for Win-specific calls.


src/dialogs/qfiledlg.cpp    2.58  agulbra  +21 -2

  insert the root drives in the paths combo


src/dialogs/qfiledlg.cpp    2.59  agulbra  +11 -11

  alight size stuff correctly
  list all drives under windows
  
  there's an aborted attempt at handling double-click in multi-column
  view in there, too.  I'll think about it and complete it asap.


src/dialogs/qfiledlg.cpp    2.60  agulbra  +21 -8

  draw the icons again.


src/dialogs/qfiledlg.cpp    2.61  agulbra  +23 -6

  output date and time in a better format.  handle column width better.


src/dialogs/qfiledlg.cpp    2.62  agulbra  +190 -23
src/dialogs/qfiledlg.h    2.15  agulbra  +20 -1

  more polish.  in this round:
   - correct handling of double-click and arrow keys in the multi-column
     list (partly done using an evil hack, see mouseDoubleClickEvent())
   - the ability to install file type icons (the default draws a
     directory icon, nothing else)
   - correct enter handling in the paths and types combo boxes
   - correct tab order


src/dialogs/qfiledlg.cpp    2.63  agulbra  +21 -26

  setEnabled( cd up button )
  tweak accessibility texts


src/dialogs/qfiledlg.cpp    2.64  hanord  +3 -3

  Adds cast to avoid compiling problem for MSVC++


src/dialogs/qfiledlg.cpp    2.65  agulbra  +29 -7

  experimental filename completion.  hacky and a little buggy in certain
  odd and harmless cases.


src/dialogs/qfiledlg.h    2.16  agulbra  +4 -5

  remove unnecessary friend declaration


src/dialogs/qprndlg.cpp    2.19  agulbra  +3 -3

  work around broken gcc warning


src/kernel/qapp_win.cpp    2.84  warwick  +5 -2

  Work-around focus problem with recreate.


src/kernel/qapp_win.cpp    2.85  warwick  +5 -4

  Robustness.


src/kernel/qapp_x11.cpp    2.128  warwick  +9 -9
src/kernel/qclb_x11.cpp    2.9  warwick  +4 -4
src/kernel/qcol_x11.cpp    2.26  warwick  +13 -12
src/kernel/qimage.cpp    2.83  warwick  +11 -10
src/kernel/qnpsupport.cpp    2.7  warwick  +3 -3
src/kernel/qpm_x11.cpp    2.33  warwick  +12 -12
src/kernel/qpsprn.cpp    2.16  warwick  +3 -3
src/kernel/qrgn_x11.cpp    2.12  warwick  +3 -3
src/kernel/qt_xdnd.cpp    2.7  warwick  +5 -5
src/kernel/qwid_x11.cpp    2.89  warwick  +21 -19
src/tools/qdatetm.cpp    2.12  warwick  +4 -4

  Avoid warnings.


src/kernel/qapp_x11.cpp    2.130  warwick  +3 -3

  strcasecmp -> qstricmp


src/kernel/qapp_x11.cpp    2.131  agulbra  +14 -3
src/kernel/qclipbrd.cpp    2.7  agulbra  +2 -6
src/kernel/qdnd_win.cpp    2.3  agulbra  +23 -1
src/kernel/qdnd_x11.cpp    2.3  agulbra  +84 -8
src/kernel/qdragobject.cpp    2.11  agulbra  +24 -23
src/kernel/qdragobject.h    2.7  agulbra  +6 -3

  some more stuff works


src/kernel/qapp_x11.cpp    2.132  eiriken  +4 -3
src/kernel/qcol_x11.cpp    2.27  eiriken  +6 -4
src/kernel/qimage.cpp    2.84  eiriken  +11 -7
src/kernel/qmetaobj.cpp    2.7  eiriken  +6 -4
src/kernel/qmovie.cpp    1.31  eiriken  +8 -5
src/kernel/qpm_x11.cpp    2.34  eiriken  +6 -4
src/kernel/qwid_win.cpp    2.52  eiriken  +4 -4
src/kernel/qwid_x11.cpp    2.91  eiriken  +4 -4
src/kernel/qwidget.cpp    2.101  eiriken  +6 -4

  Check for delete[] 0 to avoid purify warnings.


src/kernel/qclb_x11.cpp    2.8  hanord  +5 -2

  Debugging code commented out


src/kernel/qclipbrd.h    2.4  agulbra  +2 -1
src/kernel/qfocusdata.h    2.2  agulbra  +2 -2
src/widgets/qlistview.h    2.45  agulbra  +3 -3
src/widgets/qsplitter.h    1.8  agulbra  +2 -2

  "friend class", not "friend"


src/kernel/qdnd_win.cpp    2.2  agulbra  +2 -2
src/kernel/qdnd_x11.cpp    2.2  agulbra  +3 -3
src/kernel/qevent.h    2.13  agulbra  +2 -2

  return a proper object for the drag data, not a reference to a
  probably-deleted object.


src/kernel/qdnd_x11.cpp    2.4  agulbra  +24 -18
src/kernel/qdragobject.h    2.8  agulbra  +1 -2

  another little bit.


src/kernel/qdnd_x11.cpp    2.5  agulbra  +6 -24

  drop some of the debugging messages


src/kernel/qevent.cpp    2.13  aavit  +9 -6

  Doc.


src/kernel/qfnt_win.cpp    2.26  warwick  +4 -4

  Typo.  Will fix (unreported) strange problems with some fonts on Windows.


src/kernel/qgmanagr.cpp    2.32  warwick  +26 -22

  Flatten.


src/kernel/qimage.cpp    2.82  warwick  +6 -3
src/widgets/qlistbox.cpp    2.62  warwick  +14 -2
src/widgets/qlistview.cpp    2.98  warwick  +4 -4
src/widgets/qscrollview.cpp    2.41  warwick  +5 -5

  docs


src/kernel/qpaintdc.h    2.5  eiriken  +4 -2
src/kernel/qpainter.cpp    2.44  eiriken  +38 -11
src/kernel/qprn_win.cpp    2.8  eiriken  +31 -13
src/kernel/qpsprn.cpp    2.18  eiriken  +46 -30
src/kernel/qpsprn.h    2.6  eiriken  +4 -1
src/kernel/qptr_win.cpp    2.34  eiriken  +4 -2
src/kernel/qregion.h    2.10  eiriken  +2 -1

  drawImage support in QPrinter


src/kernel/qpainter.cpp    2.41  warwick  +17 -2

  Fix OpaqueMode in drawText(...QRect...).


src/kernel/qpainter.cpp    2.42  warwick  +5 -9

  fix.


src/kernel/qpainter.cpp    2.43  warwick  +2 -12

  Revert drawText semantics changed.


src/kernel/qpainter.cpp    2.45  hanord  +6 -2
src/kernel/qprn_win.cpp    2.9  hanord  +5 -4

  Fixed Windows-specific typos, now compiles


src/kernel/qprn_x11.cpp    2.11  agulbra  +14 -6

  avoid getdtablesize(), and set FD_CLOEXEC on just the X connection
  instead of on all open files.


src/kernel/qpsprn.cpp    2.15  agulbra  +6 -6

  mention the defining rfc for koi8-r


src/kernel/qpsprn.cpp    2.17  warwick  +438 -428

  Avoid a HUGE C string, save some memory.


src/kernel/qptd_x11.cpp    2.12  warwick  +4 -4

  Restore speed of normal-optimized pixmaps to Qt 1.3x height.


src/kernel/qptd_x11.cpp    2.13  hanord  +7 -9

  Warwick's change ACK'd


src/kernel/qptr_win.cpp    2.32  agulbra  +5 -2
src/kernel/qptr_x11.cpp    2.46  agulbra  +5 -2

  clip properly in drawPixmap().


src/kernel/qptr_x11.cpp    2.47  eiriken  +21 -17

  Fixed infinite loop bug in internal function drawTile and
  renamed variables to make the code readable.


src/kernel/qregion.cpp    2.8  hanord  +84 -51
src/kernel/qregion.h    2.9  hanord  +12 -3
src/kernel/qrgn_win.cpp    2.11  hanord  +39 -25
src/kernel/qrgn_x11.cpp    2.11  hanord  +48 -29

  Removed the internal (and slow) byte array.
  Uses the region rectangles for saving complex regions.


src/kernel/qregion.cpp    2.9  warwick  +14 -2

  Implement missing function.


src/kernel/qsignalmapper.cpp    1.2  warwick  +2 -2
src/kernel/qsignalmapper.h    1.2  warwick  +2 -2

  fix function name


src/kernel/qsignalmapper.cpp    1.3  warwick  +2 -2
src/widgets/qtablevw.cpp    2.45  warwick  +3 -3

  oops


src/kernel/qwid_win.cpp    2.51  agulbra  +7 -2

  if recreating a widget with no children that accept focus, and which
  does not accept focus itself, to be a top-level widget, set up a focus
  chain.  hopefully this will fix a focus bug on windows.


src/kernel/qwidget.cpp    2.100  agulbra  +4 -4
src/kernel/qwidget.cpp    2.99  agulbra  +9 -7

  try a little harder to make QWidget::focusWidget() return something.
  this should make focus in top-level widgets created by recreate()
  behave like in top-level widgets created by new.


src/moc/moc.1    2.6  eiriken  +20 -5

  Corrected nested classes bug.


src/moc/moc.y    2.21  eiriken  +3 -5

  Removed warning "unexpected ':'" in nested classes.


src/qt.pro    2.21  warwick  +2 -1

  Dependencies under Windows.


src/qt.pro    2.23  warwick  +2 -0
src/kernel/qsignalmapper.cpp    1.1  warwick  initial checkin
src/kernel/qsignalmapper.h    1.1  warwick  initial checkin

  QSignalMapper - like a button group superclass.


src/tools/qdir.cpp    2.19  agulbra  +36 -4
src/tools/qdir.h    2.7  agulbra  +3 -1

  added new QDir::drives()
  
  this breaks windows horribly, because I simply couldn't remember the
  function call to use there.  haavard, add a few lines of code in the
  morning, will you?


src/tools/qdir.cpp    2.20  agulbra  +18 -10

  implement drives() for windows.  now to test.


src/tools/qfile.cpp    2.20  warwick  +10 -10

  Casts from off_t to int.


src/tools/qglobal.h    2.49  warwick  +4 -1

  GNU Hurd


src/tools/qglobal.h    2.50  warwick  +4 -1

  DG Unix


src/tools/qtstream.cpp    2.12  warwick  +14 -4
src/widgets/qscrollview.cpp    2.42  warwick  +7 -1

  doc


src/widgets/qchkbox.cpp    2.20  warwick  +5 -4
src/widgets/qradiobt.cpp    2.25  warwick  +9 -4

  Small sizeHint when no text or pixmap.


src/widgets/qcombo.cpp    2.83  agulbra  +10 -2

  make sure highlighted() is emitted whenever current changes, as per
  val gough's bug report.


src/widgets/qframe.cpp    2.17  agulbra  +13 -2

  added a hack to make kscd binaries keep working.  put in a nice
  #if QT_VERSION >= 200 so the hack won't stay too long.


src/widgets/qlabel.cpp    2.28  warwick  +6 -3

  Flicker-free when no background.


src/widgets/qlined.cpp    2.71  warwick  +3 -3

  Efficiency.


src/widgets/qlined.cpp    2.73  agulbra  +2 -10

  disable some buggy code


src/widgets/qlined.h    2.26  agulbra  +5 -4

  make validateAndSet() public.  It's not a trvial function, but it
  appears that event filters can reasonably want to use it.


src/widgets/qlistview.cpp    2.100  agulbra  +30 -28

  slightly better pixmap support


src/widgets/qlistview.cpp    2.101  agulbra  +27 -9

  added an evil hack to make sizeHint() return more realistic values
  before the automagic column resizing magic has done its job.


src/widgets/qlistview.cpp    2.102  agulbra  +3 -3

  the list view is now the viewport's focus proxy, rather than the other
  way around.


src/widgets/qlistview.cpp    2.103  agulbra  +6 -7

  fixed some logical/actual confusion.


src/widgets/qlistview.cpp    2.92  agulbra  +22 -13

  hamdle quick drags correctly, as per dimitri van heesch's bug report.


src/widgets/qlistview.cpp    2.93  warwick  +3 -3
src/widgets/qlistview.h    2.46  warwick  +2 -2

  paintBranches is non-const


src/widgets/qlistview.cpp    2.94  warwick  +6 -7

  Remove unnecessary initial repaints.


src/widgets/qlistview.cpp    2.95  agulbra  +16 -12

  try to draw a little more efficiently by using OpaqueMode, and by
  never inserting list view items into the repaint dict twice.  exposes
  a QPainter::drawText() bug.


src/widgets/qlistview.cpp    2.96  agulbra  +178 -53
src/widgets/qlistview.h    2.47  agulbra  +13 -5

  added column alignment (worked first try) and real pixmap support
  (untested - I try not to push my luck)


src/widgets/qlistview.cpp    2.97  agulbra  +13 -11

  draw focus rectangle in the correct place


src/widgets/qlistview.cpp    2.99  warwick  +9 -12

  Revert change that required drawText semantics changed.


src/widgets/qlistview.h    2.44  agulbra  +2 -1

  avoid hiding text(int) with text() in qchecklistitem


src/widgets/qmainwindow.cpp    2.17  agulbra  +35 -34
src/widgets/qmainwindow.h    2.12  agulbra  +4 -3

  handle children being deleted


src/widgets/qmenubar.cpp    2.48  warwick  +9 -3
src/widgets/qpopmenu.cpp    2.67  warwick  +4 -2

  Accept keys so they don't propagate.


src/widgets/qmenubar.cpp    2.49  warwick  +2 -5
src/widgets/qpopmenu.cpp    2.68  warwick  +2 -4

  undo accept()


src/widgets/qmenubar.cpp    2.50  agulbra  +3 -4

  remove unused variable


src/widgets/qpopmenu.cpp    2.70  agulbra  +13 -16
src/widgets/qpopmenu.cpp    2.69  agulbra  +10 -3

  minor tweak of right/left submenu position algorithm


src/widgets/qpopmenu.cpp    2.71  warwick  +5 -2

  Add a reminder.


src/widgets/qscrollview.cpp    2.39  warwick  +86 -67

  Docs.
  Remove over-optimization.


src/widgets/qscrollview.cpp    2.40  warwick  +3 -3

  Simplify.


src/widgets/qscrollview.cpp    2.43  warwick  +45 -12

  Propagate mouse events.


src/widgets/qscrollview.h    2.20  warwick  +6 -1

  Propagate mouse evetns.


src/widgets/qtoolbutton.cpp    2.23  warwick  +4 -3

  Make receiver/slot optional.


src/widgets/qvalidator.cpp    2.18  agulbra  +19 -6

  validate number of decimals.  amy watson.
